Actualizar un cliente padre existente
curl --request PUT \
--url https://api.raul.ugps.io/api/v1/client_father/update/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"<string>"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/update/{id}"
payload = {
"fatherName": "<string>",
"fantasyName": "<string>",
"rut": "<string>",
"email": "<string>",
"phone": "<string>",
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: '<string>',
fantasyName: '<string>',
rut: '<string>',
email: '<string>',
phone: '<string>',
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['<string>']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/update/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
]
}Client Father
Actualizar un cliente padre existente
Operacion: Actualizar un cliente padre existente.
PUT
/
api
/
v1
/
client_father
/
update
/
{id}
Actualizar un cliente padre existente
Authorizations
Bearer token authentication
Path Parameters
ID del cliente padre (UUID)
Body
application/json
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
Requiere factura
Requiere orden de compra
Requiere HES
IDs de clientes hijos a asociar (reemplaza la lista actual)
Response
Cliente padre actualizado exitosamente
ID del cliente padre
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
Requiere factura
Requiere orden de compra
Requiere HES
Fecha de creación
Fecha de actualización
Lista de clientes hijos
Show child attributes
Show child attributes
⌘I